Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType server-debugType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}debugType
              {http://www.bea.com/ns/weblogic/90/domain}kernel-debugType
                  {http://www.bea.com/ns/weblogic/90/domain}server-debugType

Model
  `<...>
  name?, notes?, debug-scope*, debug-abbreviation?, debug-connection?, debug-messaging?, debug-routing?, debug-load-balancing?, debug-fail-over?, force-gc-each-dgc-period?, debug-dgc-enrollment?, log-dgc-statistics?, debug-ssl?, debug-rc4?, debug-rsa?, debug-muxer?, debug-muxer-detail?, debug-muxer-timeout?, debug-muxer-connection?, debug-muxer-exception?, debug-iiop?, debug-iiop-transport?, debug-iiop-marshal?, debug-iiop-security?, debug-iiopots?, debug-iiop-replacer?, debug-iiop-connection?, debug-iiop-startup?, debug-self-tuning?, diagnostic-context-debug-mode?, debug-mask-criteria*, server?, listen-thread-debug?, magic-thread-dump-enabled?, magic-thread-dump-host?, magic-thread-dump-file?, magic-thread-dump-back-to-socket?, bug-report-service-wsdl-url?, debug-app-container?, debug-libraries?, debug-http?, debug-url-resolution?, debug-http-sessions?, debug-http-logging?, debug-web-app-identity-assertion?, debug-web-app-security?, debug-web-app-module?, debug-ejb-compilation?, debug-ejb-deployment?, debug-ejb-mdb-connection?, debug-ejb-caching?, debug-ejb-swapping?, debug-ejb-locking?, debug-ejb-pooling?, debug-ejb-timers?, debug-ejb-invoke?, debug-ejb-security?, debug-ejb-cmp-deployment?, debug-ejb-cmp-runtime?, debug-event-manager?, debug-cluster-fragments?, debug-cluster?, debug-cluster-heartbeats?, debug-cluster-announcements?, debug-replication?, debug-replication-details?, debug-leader-election?, debug-drs-calls?, debug-drs-heartbeats?, debug-drs-messages?, debug-drs-update-status?, debug-drs-state-transitions?, debug-drs-queues?, debug-jndi?, debug-jndi-resolution?, debug-jndi-factories?, debug-tunneling-connection-timeout?, debug-tunneling-connection?, debug-jms-back-end?, debug-jms-front-end?, debug-jms-common?, debug-jms-config?, debug-jms-dist-topic?, debug-jms-locking?, debug-jmsxa?, debug-jms-dispatcher?, debug-jms-store?, debug-jms-boot?, debug-jms-durable-subscribers?, debug-jmsjdbc-scavenge-on-flush?, debug-jmsame?, debug-jms-pause-resume?, debug-jms-module?, debug-jms-message-path?, debug-jmssaf?, debug-jms-wrappers?, debug-jmscds?, debug-jtaxa?, debug-jta-non-xa?, debug-jtaxa-stack-trace?, debug-jtarmi?, debug-jta2pc?, debug-jta2pc-stack-trace?, debug-jtatlog?, debug-jtajdbc?, debug-jta-recovery?, debug-jta-recovery-stack-trace?, debug-jtaapi?, debug-jta-propagate?, debug-jta-gateway?, debug-jta-gateway-stack-trace?, debug-jta-naming?, debug-jta-naming-stack-trace?, debug-jta-resource-health?, debug-jta-migration?, debug-jta-lifecycle?, debug-jtallr?, debug-jta-health?, debug-jta-transaction-name?, debug-jta-resource-name?, debug-messaging-kernel?, debug-messaging-kernel-boot?, debug-saf-life-cycle?, debug-saf-admin?, debug-saf-manager?, debug-saf-sending-agent?, debug-saf-receiving-agent?, debug-saf-transport?, debug-saf-message-path?, debug-saf-store?, debug-saf-verbose?, debug-path-svc?, debug-path-svc-verbose?, debug-security-realm?, debug-security?, debug-security-password-policy?, debug-security-user-lockout?, debug-security-service?, debug-security-predicate?, debug-security-ssl?, debug-security-ssl-eaten?, debug-embedded-ldap?, debug-embedded-ldap-log-to-console?, debug-embedded-ldap-log-level?, debug-embedded-ldap-write-override-props?, debug-security-adjudicator?, debug-security-atn?, debug-security-atz?, debug-security-auditor?, debug-security-cred-map?, debug-security-encryption-service?, debug-security-key-store?, debug-security-cert-path?, debug-security-role-map?, debug-security-e-engine?, debug-security-jacc?, debug-security-jacc-non-policy?, debug-security-jacc-policy?, debug-security-saml-lib?, debug-security-saml-atn?, debug-security-saml-cred-map?, debug-security-saml-service?, debug-jdbc-conn?, debug-jdbcsql?, debug-jdbcrmi?, debug-jdbc-driver-logging?, debug-jdbc-internal?, debug-messaging-bridge-startup?, debug-messaging-bridge-runtime?, debug-messaging-bridge-runtime-verbose?, debug-messaging-bridge-dump-to-log?, debug-messaging-bridge-dump-to-console?, debug-store-io-logical?, debug-store-io-logical-boot?, debug-store-io-physical?, debug-store-io-physical-verbose?, debug-store-xa?, debug-store-xa-verbose?, debug-store-admin?, debug-xml-registry-debug-level?, debug-xml-registry-debug-name?, debug-xml-registry-include-time?, debug-xml-registry-include-name?, debug-xml-registry-include-class?, debug-xml-registry-include-location?, debug-xml-registry-use-short-class?, debug-jaxp-debug-level?, debug-jaxp-debug-name?, debug-jaxp-include-time?, debug-jaxp-include-name?, debug-jaxp-include-class?, debug-jaxp-include-location?, debug-jaxp-use-short-class?, debug-xml-entity-cache-debug-level?, debug-xml-entity-cache-debug-name?, debug-xml-entity-cache-include-time?, debug-xml-entity-cache-include-name?, debug-xml-entity-cache-include-class?, debug-xml-entity-cache-include-location?, debug-xml-entity-cache-use-short-class?, debug-deploy?, debug-deployment?, debug-deployment-service?, debug-deployment-service-status-updates?, debug-deployment-service-internal?, debug-deployment-service-transport?, debug-deployment-service-transport-http?, master-deployer?, slave-deployer?, application-container?, class-finder?, classpath-servlet?, web-module?, class-loader?, class-loader-verbose?, classloader-web-app?, debug-bootstrap-servlet?, debug-file-distribution-servlet?, debug-diagnostic-lifecycle-handlers?, debug-diagnostic-instrumentation?, debug-diagnostic-instrumentation-weaving?, debug-diagnostic-instrumentation-weaving-matches?, debug-diagnostic-instrumentation-actions?, debug-diagnostic-instrumentation-events?, debug-diagnostic-instrumentation-config?, debug-diagnostic-archive?, debug-diagnostic-file-archive?, debug-diagnostic-wlstore-archive?, debug-diagnostic-jdbc-archive?, debug-diagnostics-module?, debug-diagnostics-harvester?, debug-diagnostics-harvester-data?, debug-diagnostics-harvester-m-bean-plugin?, debug-diagnostics-harvester-tree-bean-plugin?, debug-diagnostic-image?, debug-diagnostic-query?, debug-diagnostic-accessor?, debug-diagnostic-collections?, debug-domain-log-handler?, debug-logging-configuration?, debug-diagnostic-watch?, debug-ra-pool-verbose?, debug-ra?, debug-rax-ain?, debug-rax-aout?, debug-rax-awork?, debug-ra-local-out?, debug-ra-lifecycle?, debug-connector-service?, debug-ra-deployment?, debug-ra-parsing?, debug-ra-security-ctx?, debug-ra-pooling?, debug-ra-connections?, debug-ra-conn-events?, debug-ra-work?, debug-ra-work-events?, debug-wan-replication-details?, debug-server-migration?, debug-jmx?, debug-jmx-core?, debug-jmx-runtime?, debug-jmx-domain?, debug-jmx-edit?, debug-jmx-compatibility?, debug-configuration-edit?, debug-configuration-runtime?, debug-j2ee-management?, debug-iiop-naming?, debug-iiop-tunneling?, debug-server-life-cycle?, debug-wtc-config?, debug-wtct-dom-pdu?, debug-wtcu-data?, debug-wtc-gwt-ex?, debug-wtc-jatmi-ex?, debug-wtc-corba-ex?, debug-wt-ct-bridge-ex?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`anyType` | `debug-scope` 0...∞
`boolean` | `debug-abbreviation` optional
`boolean` | `debug-connection` optional
`boolean` | `debug-messaging` optional
`boolean` | `debug-routing` optional
`boolean` | `debug-load-balancing` optional
`boolean` | `debug-fail-over` optional
`boolean` | `force-gc-each-dgc-period` optional
`boolean` | `debug-dgc-enrollment` optional
`boolean` | `log-dgc-statistics` optional
`boolean` | `debug-ssl` optional
`boolean` | `debug-rc4` optional
`boolean` | `debug-rsa` optional
`boolean` | `debug-muxer` optional
`boolean` | `debug-muxer-detail` optional
`boolean` | `debug-muxer-timeout` optional
`boolean` | `debug-muxer-connection` optional
`boolean` | `debug-muxer-exception` optional
`boolean` | `debug-iiop` optional
`boolean` | `debug-iiop-transport` optional
`boolean` | `debug-iiop-marshal` optional
`boolean` | `debug-iiop-security` optional
`boolean` | `debug-iiopots` optional
`boolean` | `debug-iiop-replacer` optional
`boolean` | `debug-iiop-connection` optional
`boolean` | `debug-iiop-startup` optional
`boolean` | `debug-self-tuning` optional
`annonymous type derived from string` | `diagnostic-context-debug-mode` optional
`string` | `debug-mask-criteria` 0...∞
`string` | `server` optional
`boolean` | `listen-thread-debug` optional
`boolean` | `magic-thread-dump-enabled` optional
`string` | `magic-thread-dump-host` optional
`string` | `magic-thread-dump-file` optional
`boolean` | `magic-thread-dump-back-to-socket` optional
`string` | `bug-report-service-wsdl-url` optional
`boolean` | `debug-app-container` optional
`boolean` | `debug-libraries` optional
`boolean` | `debug-http` optional
`boolean` | `debug-url-resolution` optional
`boolean` | `debug-http-sessions` optional
`boolean` | `debug-http-logging` optional
`boolean` | `debug-web-app-identity-assertion` optional
`boolean` | `debug-web-app-security` optional
`boolean` | `debug-web-app-module` optional
`boolean` | `debug-ejb-compilation` optional
`boolean` | `debug-ejb-deployment` optional
`boolean` | `debug-ejb-mdb-connection` optional
`boolean` | `debug-ejb-caching` optional
`boolean` | `debug-ejb-swapping` optional
`boolean` | `debug-ejb-locking` optional
`boolean` | `debug-ejb-pooling` optional
`boolean` | `debug-ejb-timers` optional
`boolean` | `debug-ejb-invoke` optional
`boolean` | `debug-ejb-security` optional
`boolean` | `debug-ejb-cmp-deployment` optional
`boolean` | `debug-ejb-cmp-runtime` optional
`boolean` | `debug-event-manager` optional
`boolean` | `debug-cluster-fragments` optional
`boolean` | `debug-cluster` optional
`boolean` | `debug-cluster-heartbeats` optional
`boolean` | `debug-cluster-announcements` optional
`boolean` | `debug-replication` optional
`boolean` | `debug-replication-details` optional
`boolean` | `debug-leader-election` optional
`boolean` | `debug-drs-calls` optional
`boolean` | `debug-drs-heartbeats` optional
`boolean` | `debug-drs-messages` optional
`boolean` | `debug-drs-update-status` optional
`boolean` | `debug-drs-state-transitions` optional
`boolean` | `debug-drs-queues` optional
`boolean` | `debug-jndi` optional
`boolean` | `debug-jndi-resolution` optional
`boolean` | `debug-jndi-factories` optional
`boolean` | `debug-tunneling-connection-timeout` optional
`boolean` | `debug-tunneling-connection` optional
`boolean` | `debug-jms-back-end` optional
`boolean` | `debug-jms-front-end` optional
`boolean` | `debug-jms-common` optional
`boolean` | `debug-jms-config` optional
`boolean` | `debug-jms-dist-topic` optional
`boolean` | `debug-jms-locking` optional
`boolean` | `debug-jmsxa` optional
`boolean` | `debug-jms-dispatcher` optional
`boolean` | `debug-jms-store` optional
`boolean` | `debug-jms-boot` optional
`boolean` | `debug-jms-durable-subscribers` optional
`boolean` | `debug-jmsjdbc-scavenge-on-flush` optional
`boolean` | `debug-jmsame` optional
`boolean` | `debug-jms-pause-resume` optional
`boolean` | `debug-jms-module` optional
`boolean` | `debug-jms-message-path` optional
`boolean` | `debug-jmssaf` optional
`boolean` | `debug-jms-wrappers` optional
`boolean` | `debug-jmscds` optional
`boolean` | `debug-jtaxa` optional
`boolean` | `debug-jta-non-xa` optional
`boolean` | `debug-jtaxa-stack-trace` optional
`boolean` | `debug-jtarmi` optional
`boolean` | `debug-jta2pc` optional
`boolean` | `debug-jta2pc-stack-trace` optional
`boolean` | `debug-jtatlog` optional
`boolean` | `debug-jtajdbc` optional
`boolean` | `debug-jta-recovery` optional
`boolean` | `debug-jta-recovery-stack-trace` optional
`boolean` | `debug-jtaapi` optional
`boolean` | `debug-jta-propagate` optional
`boolean` | `debug-jta-gateway` optional
`boolean` | `debug-jta-gateway-stack-trace` optional
`boolean` | `debug-jta-naming` optional
`boolean` | `debug-jta-naming-stack-trace` optional
`boolean` | `debug-jta-resource-health` optional
`boolean` | `debug-jta-migration` optional
`boolean` | `debug-jta-lifecycle` optional
`boolean` | `debug-jtallr` optional
`boolean` | `debug-jta-health` optional
`string` | `debug-jta-transaction-name` optional
`string` | `debug-jta-resource-name` optional
`boolean` | `debug-messaging-kernel` optional
`boolean` | `debug-messaging-kernel-boot` optional
`boolean` | `debug-saf-life-cycle` optional
`boolean` | `debug-saf-admin` optional
`boolean` | `debug-saf-manager` optional
`boolean` | `debug-saf-sending-agent` optional
`boolean` | `debug-saf-receiving-agent` optional
`boolean` | `debug-saf-transport` optional
`boolean` | `debug-saf-message-path` optional
`boolean` | `debug-saf-store` optional
`boolean` | `debug-saf-verbose` optional
`boolean` | `debug-path-svc` optional
`boolean` | `debug-path-svc-verbose` optional
`boolean` | `debug-security-realm` optional
`boolean` | `debug-security` optional
`boolean` | `debug-security-password-policy` optional
`boolean` | `debug-security-user-lockout` optional
`boolean` | `debug-security-service` optional
`boolean` | `debug-security-predicate` optional
`boolean` | `debug-security-ssl` optional
`boolean` | `debug-security-ssl-eaten` optional
`boolean` | `debug-embedded-ldap` optional
`boolean` | `debug-embedded-ldap-log-to-console` optional
`annonymous type derived from int` | `debug-embedded-ldap-log-level` optional
`boolean` | `debug-embedded-ldap-write-override-props` optional
`boolean` | `debug-security-adjudicator` optional
`boolean` | `debug-security-atn` optional
`boolean` | `debug-security-atz` optional
`boolean` | `debug-security-auditor` optional
`boolean` | `debug-security-cred-map` optional
`boolean` | `debug-security-encryption-service` optional
`boolean` | `debug-security-key-store` optional
`boolean` | `debug-security-cert-path` optional
`boolean` | `debug-security-role-map` optional
`boolean` | `debug-security-e-engine` optional
`boolean` | `debug-security-jacc` optional
`boolean` | `debug-security-jacc-non-policy` optional
`boolean` | `debug-security-jacc-policy` optional
`boolean` | `debug-security-saml-lib` optional
`boolean` | `debug-security-saml-atn` optional
`boolean` | `debug-security-saml-cred-map` optional
`boolean` | `debug-security-saml-service` optional
`boolean` | `debug-jdbc-conn` optional
`boolean` | `debug-jdbcsql` optional
`boolean` | `debug-jdbcrmi` optional
`boolean` | `debug-jdbc-driver-logging` optional
`boolean` | `debug-jdbc-internal` optional
`boolean` | `debug-messaging-bridge-startup` optional
`boolean` | `debug-messaging-bridge-runtime` optional
`boolean` | `debug-messaging-bridge-runtime-verbose` optional
`boolean` | `debug-messaging-bridge-dump-to-log` optional
`boolean` | `debug-messaging-bridge-dump-to-console` optional
`boolean` | `debug-store-io-logical` optional
`boolean` | `debug-store-io-logical-boot` optional
`boolean` | `debug-store-io-physical` optional
`boolean` | `debug-store-io-physical-verbose` optional
`boolean` | `debug-store-xa` optional
`boolean` | `debug-store-xa-verbose` optional
`boolean` | `debug-store-admin` optional
`annonymous type derived from int` | `debug-xml-registry-debug-level` optional
`string` | `debug-xml-registry-debug-name` optional
`boolean` | `debug-xml-registry-include-time` optional
`boolean` | `debug-xml-registry-include-name` optional
`boolean` | `debug-xml-registry-include-class` optional
`boolean` | `debug-xml-registry-include-location` optional
`boolean` | `debug-xml-registry-use-short-class` optional
`annonymous type derived from int` | `debug-jaxp-debug-level` optional
`string` | `debug-jaxp-debug-name` optional
`boolean` | `debug-jaxp-include-time` optional
`boolean` | `debug-jaxp-include-name` optional
`boolean` | `debug-jaxp-include-class` optional
`boolean` | `debug-jaxp-include-location` optional
`boolean` | `debug-jaxp-use-short-class` optional
`annonymous type derived from int` | `debug-xml-entity-cache-debug-level` optional
`string` | `debug-xml-entity-cache-debug-name` optional
`boolean` | `debug-xml-entity-cache-include-time` optional
`boolean` | `debug-xml-entity-cache-include-name` optional
`boolean` | `debug-xml-entity-cache-include-class` optional
`boolean` | `debug-xml-entity-cache-include-location` optional
`boolean` | `debug-xml-entity-cache-use-short-class` optional
`boolean` | `debug-deploy` optional
`boolean` | `debug-deployment` optional
`boolean` | `debug-deployment-service` optional
`boolean` | `debug-deployment-service-status-updates` optional
`boolean` | `debug-deployment-service-internal` optional
`boolean` | `debug-deployment-service-transport` optional
`boolean` | `debug-deployment-service-transport-http` optional
`boolean` | `master-deployer` optional
`boolean` | `slave-deployer` optional
`boolean` | `application-container` optional
`boolean` | `class-finder` optional
`boolean` | `classpath-servlet` optional
`boolean` | `web-module` optional
`boolean` | `class-loader` optional
`boolean` | `class-loader-verbose` optional
`boolean` | `classloader-web-app` optional
`boolean` | `debug-bootstrap-servlet` optional
`boolean` | `debug-file-distribution-servlet` optional
`boolean` | `debug-diagnostic-lifecycle-handlers` optional
`boolean` | `debug-diagnostic-instrumentation` optional
`boolean` | `debug-diagnostic-instrumentation-weaving` optional
`boolean` | `debug-diagnostic-instrumentation-weaving-matches` optional
`boolean` | `debug-diagnostic-instrumentation-actions` optional
`boolean` | `debug-diagnostic-instrumentation-events` optional
`boolean` | `debug-diagnostic-instrumentation-config` optional
`boolean` | `debug-diagnostic-archive` optional
`boolean` | `debug-diagnostic-file-archive` optional
`boolean` | `debug-diagnostic-wlstore-archive` optional
`boolean` | `debug-diagnostic-jdbc-archive` optional
`boolean` | `debug-diagnostics-module` optional
`boolean` | `debug-diagnostics-harvester` optional
`boolean` | `debug-diagnostics-harvester-data` optional
`boolean` | `debug-diagnostics-harvester-m-bean-plugin` optional
`boolean` | `debug-diagnostics-harvester-tree-bean-plugin` optional
`boolean` | `debug-diagnostic-image` optional
`boolean` | `debug-diagnostic-query` optional
`boolean` | `debug-diagnostic-accessor` optional
`boolean` | `debug-diagnostic-collections` optional
`boolean` | `debug-domain-log-handler` optional
`boolean` | `debug-logging-configuration` optional
`boolean` | `debug-diagnostic-watch` optional
`boolean` | `debug-ra-pool-verbose` optional
`boolean` | `debug-ra` optional
`boolean` | `debug-rax-ain` optional
`boolean` | `debug-rax-aout` optional
`boolean` | `debug-rax-awork` optional
`boolean` | `debug-ra-local-out` optional
`boolean` | `debug-ra-lifecycle` optional
`boolean` | `debug-connector-service` optional
`boolean` | `debug-ra-deployment` optional
`boolean` | `debug-ra-parsing` optional
`boolean` | `debug-ra-security-ctx` optional
`boolean` | `debug-ra-pooling` optional
`boolean` | `debug-ra-connections` optional
`boolean` | `debug-ra-conn-events` optional
`boolean` | `debug-ra-work` optional
`boolean` | `debug-ra-work-events` optional
`boolean` | `debug-wan-replication-details` optional
`boolean` | `debug-server-migration` optional
`boolean` | `debug-jmx` optional
`boolean` | `debug-jmx-core` optional
`boolean` | `debug-jmx-runtime` optional
`boolean` | `debug-jmx-domain` optional
`boolean` | `debug-jmx-edit` optional
`boolean` | `debug-jmx-compatibility` optional
`boolean` | `debug-configuration-edit` optional
`boolean` | `debug-configuration-runtime` optional
`boolean` | `debug-j2ee-management` optional
`boolean` | `debug-iiop-naming` optional
`boolean` | `debug-iiop-tunneling` optional
`boolean` | `debug-server-life-cycle` optional
`boolean` | `debug-wtc-config` optional
`boolean` | `debug-wtct-dom-pdu` optional
`boolean` | `debug-wtcu-data` optional
`boolean` | `debug-wtc-gwt-ex` optional
`boolean` | `debug-wtc-jatmi-ex` optional
`boolean` | `debug-wtc-corba-ex` optional
`boolean` | `debug-wt-ct-bridge-ex` optional

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1